
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>系统日志的重要性 / 憋错料</title>

    <meta name="description" content="系统日志的重要性 与一个简单的算法不同,一个合格的系统不仅仅要求具有运行的高效和计算的准确,同时又必须兼顾稳定性.可靠性.其次,对于开发人员来说,又必须具有可拓展性和可维护性.各方面都必须很完善,这样的一个系统才能称得上是一个合格完美的系统.简单的站在开发人员的角度分析,比较重视的是系统的可维护性,毕竟开发人员直面的是系统的代码实现.一个代码结构冗杂.模块设计混乱.命名&quot;异想天开&quot;的系统对于开发者来说简直到了咬牙切齿的地步!不能忍!坚决不能忍!所以在平时的开发过程中就要时刻注意着系统的实现机制 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">系统日志的重要性</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>　　与一个简单的算法不同，一个合格的系统不仅仅要求具有运行的高效和计算的准确，同时又必须兼顾稳定性、可靠性。其次，对于开发人员来说，又必须具有可拓展性和<strong>可维护性</strong>。各方面都必须很完善，这样的一个系统才能称得上是一个合格完美的系统。简单的站在开发人员的角度分析，比较重视的是系统的可维护性，毕竟开发人员直面的是系统的代码实现。一个代码结构冗杂、模块设计混乱、命名“异想天开”的系统对于开发者来说简直到了咬牙切齿的地步！不能忍！坚决不能忍！所以在平时的开发过程中就要时刻注意着系统的实现机制，从宏观设计和微观实现上面同时进行精雕细琢。前几天看到阿里巴巴出的<a href="https://yq.aliyun.com/attachment/download/?id=1170" rel="external nofollow noreferrer">《Java 开发规范》</a>，这里附上链接，建议大家看看。</p>
<p>　　说到可维护性及不得不涉及到系统监控和Bug的快速定位。在开发阶段还比较容易对系统进行监控，一般都会在本机上对系统的运行进行实时监控。而对于bug的定位，开发者都会熟练使用debug功能进行bug定位，更有甚者通过多年的开发经验根据系统的异常信息直接能分析出来Bug产生的原因、位置以及解决方案。但是，系统毕竟是人开发的，我们无法预料到在运行中会出行什么想不到的问题，即使在各种测试中没有出现，但是也无法保证不会出现一些意想不到的问题。那么在系统运行期间如果产生问题出现异常且无法在测试环境中重现，我们又该如何快速、准确地对bug进行定位分析和解决呢？举个亲身的例子吧，公司一套设备监控系统，用来对上万个节点进行实时监控，如果该节点有异常（比如温度过高、电压过高等）则向系统进行发出告警信息。在开发环境中只有五十多个设备被安全（不会产生什么告警）的放在机房中供开发和测试使用，这种测试环境根本无法模拟实际环境。系统在测试中没有出现过什么大的问题。然而，在实际的运行环境中，偶尔发现系统的一个模块功能会丧失，失去告警接收的功能。在本地测试的时候从来没有发现过类似问题，但是部署在实际环境中就会有发生。我们不可能实时的24小时对系统进行人工监控，那么该如何定位功能丧失的原因呢？这时，对于系统日志来说就“是时候表演真正的技术了”。后来通过系统日志分析之后发现功能的丧失是由于大量的告警同时上报导致数据库链接不够用产生大量connectionTimeout进而导致OOM异常,这个模块彻底死了。可见，日志对于运行环境中系统的监控和问题定位是至关重要的，在系统设计、开发和实现的过程中必须时刻注意着log的输出，这将会对于日后的系统监控和异常分析起至关重要的作用！</p>
<p>　　那么，在系统日志实现上应该注意哪些问题呢？<strong>如何做到不滥用日志、减少大量无用信息，让日志<strong>记录足够精简明了？</strong></strong></p>
<p>　　<strong>第一：系统的哪些运行信息需要进行日志记录？</strong></p>
<p><strong>　　　　</strong><strong>1、功能模块的启动和结束</strong><strong>（</strong>完整的系统由多个功能模块组成，每个模块负责不同的功能，因此需要对模块的启动和结束进行监控。是否在需要的时机正常加载该模块？又是否在退出结束的时候正常完成结束操作，正常退出？<strong>）</strong></p>
<p><strong>　　　　</strong><strong>2、用户的登录和退出</strong><strong>（</strong><strong>哪位用户在什么时间通过什么IP登录或退出了系统</strong><strong>）</strong></p>
<p><strong>　　　</strong><strong>3、系统的关键性操作</strong><strong>（</strong><strong>数据库链接信息、网络通信的成功与失败等</strong><strong>）</strong></p>
<p><strong>　　　</strong><strong>4、</strong><strong>系统运行期间的异常信息</strong><strong>（</strong><strong>NPE、OOM以及其他的超时、转换异常等）</strong></p>
<p><strong>　　　　</strong><strong>5、关键性方法的进入和退出（一些重要业务处理的方法，在进入和结束的时候需要有日志信息进行输出）</strong></p>
<p><strong>　　　</strong><strong>　……</strong></p>
<p><strong>　　　　 &nbsp;……</strong></p>
<p><strong>　&nbsp;</strong><strong>第二：什么样的日志格式有助于开发者进行明确的分析？</strong></p>
<p>　　　　 &nbsp; 日志信息要求必须精简，过多的无用信息不但对系统分析起不到什么作用，反而会增加系统的运行压力、消耗系统的运行资源。这里有个日志模板，可供参考。</p>
<p>　　　　 &nbsp;&nbsp;<strong>时间-[线程名][日志等级]-日志输出位置（全类名，可以精确到方法名）:日志信息</strong></p>
<p>　　　<strong>　 &nbsp;2013-09-04 10:49:20.296-[Thread-initRedis21504][INFO]-com.shanghai.LoginController.initLogInfo:LingMing[User] is logining</strong></p>
<p><strong>　　　　 &nbsp;&nbsp;</strong>日志信息的内容可以根据不同的情况进行设计，但是前面的时间到日志输出位置必须要保证完整性，这样才有利于日志的分析。</p>
<p>　 <strong>第三：如何对不同的日志信息进行等级划分？</strong></p>
<p>　　　 &nbsp;　日志等级通常分为四种：DEBUG、INFO、WARN、ERROR</p>
<p>　　　　 &nbsp;DEBUG:系统调试信息，通常用于开发过程中对系统运行情况的监控，在实际运行环境中不进行输出。</p>
<p>　　　 &nbsp;　INFO:系统运行的关键性信息，通常用于对系统运行情况的监控。</p>
<p>　　　 &nbsp;　WARN:告警信息，系统存在潜在的问题，有可能引起运行异常，但此时并未产生异常。</p>
<p>　　　 &nbsp;　ERROR:系统错误信息，需要进行及时处理和优化。</p>
<p>　　这里列出来了各种等级的日志信息，在开发过程中哪些信息需要设置为哪种等级有赖于开发者的自己判断，这里只是给个建议。</p>
<p>　　日志的管理是系统很重要的一部分，千万不可忽略其重要性。完整的日志将会在系统维护中起着异常重要的作用，就好像磨刀不误砍柴工一样，日志就像对系统进行分析的工具，工具便捷了，对系统分析起来就能达到事半功倍的效果。开发者必须要明白日志的价值和意义，万万不可忽略和轻视，并且在系统设计之初就建议制定一份关于日志管理的说明规范，明确哪些方法、操作必须进行日志输出，在进行开发过程中也要严格遵守。</p>
<p>　　至于日志输出的实现，不同的开发语言有不同的日志管理框架，同一种语言也有很多不同的日志管理方案，这里就不再进行赘述。本文目的就是想让开发者看到日志的重要性。</p>
<p>　　下面附带一份log4j的配置文件，便于日后进行设计的时候查找。转载自：<a href="http://blog.csdn.net/huaishuming/article/details/51900525" rel="external nofollow noreferrer">log4j.properties配置详解与实例-全部测试通过</a></p>
<p>　　</p>
<pre>################################################################################
#①配置根Logger，其语法为：
#
#log4j.rootLogger = [level],appenderName,appenderName2,...
#level是日志记录的优先级，分为OFF,TRACE,DEBUG,INFO,WARN,ERROR,FATAL,ALL
##Log4j建议只使用四个级别，优先级从低到高分别是DEBUG,INFO,WARN,ERROR
#通过在这里定义的级别，您可以控制到应用程序中相应级别的日志信息的开关
#比如在这里定义了INFO级别，则应用程序中所有DEBUG级别的日志信息将不被打印出来
#appenderName就是指定日志信息输出到哪个地方。可同时指定多个输出目的
################################################################################
################################################################################
#②配置日志信息输出目的地Appender，其语法为：
#
#log4j.appender.appenderName = fully.qualified.name.of.appender.class
#log4j.appender.appenderName.optionN = valueN
#
#Log4j提供的appender有以下几种：
#1)org.apache.log4j.ConsoleAppender(输出到控制台)
#2)org.apache.log4j.FileAppender(输出到文件)
#3)org.apache.log4j.DailyRollingFileAppender(每天产生一个日志文件)
#4)org.apache.log4j.RollingFileAppender(文件大小到达指定尺寸的时候产生一个新的文件)
#5)org.apache.log4j.WriterAppender(将日志信息以流格式发送到任意指定的地方)
#
#1)ConsoleAppender选项属性
# -Threshold = DEBUG:指定日志消息的输出最低层次
# -ImmediateFlush = TRUE:默认值是true,所有的消息都会被立即输出
# -Target = System.err:默认值System.out,输出到控制台(err为红色,out为黑色)
#
#2)FileAppender选项属性
# -Threshold = INFO:指定日志消息的输出最低层次
# -ImmediateFlush = TRUE:默认值是true,所有的消息都会被立即输出
# -File = C:\log4j.log:指定消息输出到C:\log4j.log文件
# -Append = FALSE:默认值true,将消息追加到指定文件中，false指将消息覆盖指定的文件内容
# -Encoding = UTF-8:可以指定文件编码格式
#
#3)DailyRollingFileAppender选项属性
# -Threshold = WARN:指定日志消息的输出最低层次
# -ImmediateFlush = TRUE:默认值是true,所有的消息都会被立即输出
# -File = C:\log4j.log:指定消息输出到C:\log4j.log文件
# -Append = FALSE:默认值true,将消息追加到指定文件中，false指将消息覆盖指定的文件内容
# -DatePattern=‘.‘yyyy-ww:每周滚动一次文件,即每周产生一个新的文件。还可以按用以下参数:
#              ‘.‘yyyy-MM:每月
#              ‘.‘yyyy-ww:每周
#              ‘.‘yyyy-MM-dd:每天
#              ‘.‘yyyy-MM-dd-a:每天两次
#              ‘.‘yyyy-MM-dd-HH:每小时
#              ‘.‘yyyy-MM-dd-HH-mm:每分钟
# -Encoding = UTF-8:可以指定文件编码格式
#
#4)RollingFileAppender选项属性
# -Threshold = ERROR:指定日志消息的输出最低层次
# -ImmediateFlush = TRUE:默认值是true,所有的消息都会被立即输出
# -File = C:/log4j.log:指定消息输出到C:/log4j.log文件
# -Append = FALSE:默认值true,将消息追加到指定文件中，false指将消息覆盖指定的文件内容
# -MaxFileSize = 100KB:后缀可以是KB,MB,GB.在日志文件到达该大小时,将会自动滚动.如:log4j.log.1
# -MaxBackupIndex = 2:指定可以产生的滚动文件的最大数
# -Encoding = UTF-8:可以指定文件编码格式
################################################################################
################################################################################
#③配置日志信息的格式(布局)，其语法为：
#
#log4j.appender.appenderName.layout = fully.qualified.name.of.layout.class
#log4j.appender.appenderName.layout.optionN = valueN
#
#Log4j提供的layout有以下几种：
#5)org.apache.log4j.HTMLLayout(以HTML表格形式布局)
#6)org.apache.log4j.PatternLayout(可以灵活地指定布局模式)
#7)org.apache.log4j.SimpleLayout(包含日志信息的级别和信息字符串)
#8)org.apache.log4j.TTCCLayout(包含日志产生的时间、线程、类别等等信息)
#9)org.apache.log4j.xml.XMLLayout(以XML形式布局)
#
#5)HTMLLayout选项属性
# -LocationInfo = TRUE:默认值false,输出java文件名称和行号
# -Title=Struts Log Message:默认值 Log4J Log Messages
#
#6)PatternLayout选项属性
# -ConversionPattern = %m%n:格式化指定的消息(参数意思下面有)
#
#9)XMLLayout选项属性
# -LocationInfo = TRUE:默认值false,输出java文件名称和行号
#
#Log4J采用类似C语言中的printf函数的打印格式格式化日志信息，打印参数如下：
# %m 输出代码中指定的消息
# %p 输出优先级，即DEBUG,INFO,WARN,ERROR,FATAL
# %r 输出自应用启动到输出该log信息耗费的毫秒数
# %c 输出所属的类目,通常就是所在类的全名
# %t 输出产生该日志事件的线程名
# %n 输出一个回车换行符，Windows平台为“\r\n”，Unix平台为“\n”
# %d 输出日志时间点的日期或时间，默认格式为ISO8601，也可以在其后指定格式
#    如：%d{yyyy年MM月dd日 HH:mm:ss,SSS}，输出类似：2012年01月05日 22:10:28,921
# %l 输出日志事件的发生位置，包括类目名、发生的线程，以及在代码中的行数
#    如：Testlog.main(TestLog.java:10)
# %F 输出日志消息产生时所在的文件名称
# %L 输出代码中的行号
# %x 输出和当前线程相关联的NDC(嵌套诊断环境),像java servlets多客户多线程的应用中
# %% 输出一个"%"字符
#
# 可以在%与模式字符之间加上修饰符来控制其最小宽度、最大宽度、和文本的对齐方式。如：
#  %5c: 输出category名称，最小宽度是5，category&lt;5，默认的情况下右对齐
#  %-5c:输出category名称，最小宽度是5，category&lt;5，"-"号指定左对齐,会有空格
#  %.5c:输出category名称，最大宽度是5，category&gt;5，就会将左边多出的字符截掉，&lt;5不会有空格
#  %20.30c:category名称&lt;20补空格，并且右对齐，&gt;30字符，就从左边交远销出的字符截掉
################################################################################
################################################################################
#④指定特定包的输出特定的级别
#log4j.logger.org.springframework=DEBUG
################################################################################ 

#OFF,systemOut,logFile,logDailyFile,logRollingFile,logMail,logDB,ALL
log4j.rootLogger =ALL,systemOut,logFile,logDailyFile,logRollingFile,logMail,logDB 

#输出到控制台
log4j.appender.systemOut = org.apache.log4j.ConsoleAppender
log4j.appender.systemOut.layout = org.apache.log4j.PatternLayout
log4j.appender.systemOut.layout.ConversionPattern = [%-5p][%-22d{yyyy/MM/dd HH:mm:ssS}][%l]%n%m%n
log4j.appender.systemOut.Threshold = DEBUG
log4j.appender.systemOut.ImmediateFlush = TRUE
log4j.appender.systemOut.Target = System.out 

#输出到文件
log4j.appender.logFile = org.apache.log4j.FileAppender
log4j.appender.logFile.layout = org.apache.log4j.PatternLayout
log4j.appender.logFile.layout.ConversionPattern = [%-5p][%-22d{yyyy/MM/dd HH:mm:ssS}][%l]%n%m%n
log4j.appender.logFile.Threshold = DEBUG
log4j.appender.logFile.ImmediateFlush = TRUE
log4j.appender.logFile.Append = TRUE
log4j.appender.logFile.File = ../Struts2/WebRoot/log/File/log4j_Struts.log
log4j.appender.logFile.Encoding = UTF-8 

#按DatePattern输出到文件
log4j.appender.logDailyFile = org.apache.log4j.DailyRollingFileAppender
log4j.appender.logDailyFile.layout = org.apache.log4j.PatternLayout
log4j.appender.logDailyFile.layout.ConversionPattern = [%-5p][%-22d{yyyy/MM/dd HH:mm:ssS}][%l]%n%m%n
log4j.appender.logDailyFile.Threshold = DEBUG
log4j.appender.logDailyFile.ImmediateFlush = TRUE
log4j.appender.logDailyFile.Append = TRUE
log4j.appender.logDailyFile.File = ../Struts2/WebRoot/log/DailyFile/log4j_Struts
log4j.appender.logDailyFile.DatePattern = ‘.‘yyyy-MM-dd-HH-mm‘.log‘
log4j.appender.logDailyFile.Encoding = UTF-8 

#设定文件大小输出到文件
log4j.appender.logRollingFile = org.apache.log4j.RollingFileAppender
log4j.appender.logRollingFile.layout = org.apache.log4j.PatternLayout
log4j.appender.logRollingFile.layout.ConversionPattern = [%-5p][%-22d{yyyy/MM/dd HH:mm:ssS}][%l]%n%m%n
log4j.appender.logRollingFile.Threshold = DEBUG
log4j.appender.logRollingFile.ImmediateFlush = TRUE
log4j.appender.logRollingFile.Append = TRUE
log4j.appender.logRollingFile.File = ../Struts2/WebRoot/log/RollingFile/log4j_Struts.log
log4j.appender.logRollingFile.MaxFileSize = 1MB
log4j.appender.logRollingFile.MaxBackupIndex = 10
log4j.appender.logRollingFile.Encoding = UTF-8 

#用Email发送日志
log4j.appender.logMail = org.apache.log4j.net.SMTPAppender
log4j.appender.logMail.layout = org.apache.log4j.HTMLLayout
log4j.appender.logMail.layout.LocationInfo = TRUE
log4j.appender.logMail.layout.Title = Struts2 Mail LogFile
log4j.appender.logMail.Threshold = DEBUG
log4j.appender.logMail.SMTPDebug = FALSE
log4j.appender.logMail.SMTPHost = SMTP.163.com
log4j.appender.logMail.From = [email&#160;protected].com
log4j.appender.logMail.To = [email&#160;protected]
#log4j.appender.logMail.Cc = [email&#160;protected]
#log4j.appender.logMail.Bcc = [email&#160;protected]
log4j.appender.logMail.SMTPUsername = xly3000
log4j.appender.logMail.SMTPPassword = 1234567
log4j.appender.logMail.Subject = Log4j Log Messages
#log4j.appender.logMail.BufferSize = 1024
#log4j.appender.logMail.SMTPAuth = TRUE 

#将日志登录到MySQL数据库
log4j.appender.logDB = org.apache.log4j.jdbc.JDBCAppender
log4j.appender.logDB.layout = org.apache.log4j.PatternLayout
log4j.appender.logDB.Driver = com.mysql.jdbc.Driver
log4j.appender.logDB.URL = jdbc:mysql://127.0.0.1:3306/xly
log4j.appender.logDB.User = root
log4j.appender.logDB.Password = 123456
log4j.appender.logDB.Sql = INSERT INTOT_log4j(project_name,create_date,level,category,file_name,thread_name,line,all_category,message)values(‘Struts2‘,‘%d{yyyy-MM-ddHH:mm:ss}‘,‘%p‘,‘%c‘,‘%F‘,‘%t‘,‘%L‘,‘%l‘,‘%m‘)</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-27 19:03:20 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/html/" title="html">html</a>, <a href="https://www.biecuoliao.com/tag/word/" title="word">word</a>, <a href="https://www.biecuoliao.com/tag/oca/" title="oca">oca</a>, <a href="https://www.biecuoliao.com/tag/val/" title="val">val</a>, <a href="https://www.biecuoliao.com/tag/ges/" title="ges">ges</a>, <a href="https://www.biecuoliao.com/tag/art/" title="art">art</a>, <a href="https://www.biecuoliao.com/tag/%e5%ae%bd%e5%ba%a6/" title="宽度">宽度</a>, <a href="https://www.biecuoliao.com/tag/%e9%94%99%e8%af%af%e4%bf%a1%e6%81%af/" title="错误信息">错误信息</a>, <a href="https://www.biecuoliao.com/tag/servlets/" title="servlets">servlets</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>系统日志的重要性的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/bMoNJw4.html" rel="bookmark">Linux系统日志及同步</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				####系统日志默认分类#### /var/log/messages   ##系统服务及日志,包括服务的信息,报错等等/var/log/secure     ##系统认证信息日志/var/log/maillog    ##系统邮件服务信息/var/log/cron       ##系统定时任务信息/var/log/boot.log   ##系统启动信息 ####2.日志管理服务rsyslog#### 1.rsyslog负责采集日志和分类存放日志2.rsyslog日志分类vim /etc/rsys			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0enVlJ3.html" rel="bookmark">Linux系统日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系统日志默认分类 /var/log/messages         系统服务及日志,包括服务的信息,报错等等/var/log/secure               系统认证信息日志/var/log/maillog              系统邮件服务信息/var/log/cron                   系统定时任务信息/var/log/boot.log             系统启动信息 日志管理服务rsyslog 1.rsyslog负责采集日志和分类存放日志2.rsys			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aOnxR4.html" rel="bookmark">《Linux菜鸟入门》系统日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系统日志 1.系统默认分类 /var/log/messages  系统服务及日志包括服务的信息 报错 /var/log/secure     系统认证信息日志 /var/log/maillog    系统邮件服务信息 /var/log/cron       系统定时任务信息 /var/log/boot.log   系统启动信息 2.日志管理服务rsyslog.service 1.rsyslog采集分类日志,不是生成 2.rsyslog日志分类 /etc/rsyslog.conf  主配置文件 *			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bRaRL0.html" rel="bookmark">数据安全对企业的重要性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据安全对企业的重要性 其实数据保护并没有想象的那么神秘,只要按照方案操作即可轻松掌握.下面我们来浅谈一下数据备份的知识,以免企业在数据方面出现不必要的损失. 企业数据的备份与容灾 备份可分为三个层次: 硬件级备份:硬件级的备份是指用硬件的冗余来保护系统的业务连续运行.比如想磁盘镜像,双机容错等方式.如果主硬件损坏,后备硬件马上能够接替其工作,这种方式可以有效地防止硬件故障.能够最快速的解决硬件破损问题. 但其也有自己的缺点,它无法防止数据的逻辑损坏.当逻辑损坏发生时,硬件备份只会将错误复制一遍			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mm9BWpM.html" rel="bookmark">第十单元 系统日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第十单元 系统日志 每个程序都会产生日志,采集管理日志的服务是rsyslog,采集来的日志会存放在/var/log/下的文件里 一 系统日志默认分类 /var/log/messages:系统服务及日志,包括服务的信息,报错等等 /var/log/secure:系统认证信息日志 /var/log/maillog:系统邮件服务信息 /var/log/cron:系统定时任务信息 /var/log/boot.log:系统启动信息 二 日志管理服务 :rsyslog 1 rsyslog :负责采集日志和分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0l7gAXM.html" rel="bookmark">10&period;系统日志&lpar;linux&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.系统日志默认分类 /var/log/messages   ##系统服务及日志,包括服务的信息,报错等等/var/log/secure     ##系统认证信息日志/var/log/maillog    ##系统邮件服务信息/var/log/cron       ##系统定时任务信息/var/log/boot.log   ##系统启动信息 2.日志管理服务rsyslog rsyslog负责采集日志和分类存放日志 vim /etc/rsyslog.conf   ##主配置文件 配置内容 服务.日			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEjLPx0.html" rel="bookmark">嵌入式 Linux进程间通信（四）&mdash;&mdash;Linux系统日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				嵌入式 Linux进程间通信(四)--Linux系统日志 syslog 是一种工业标准的协议,用来记录设备的日志.Linux日志系统由系统日志监控程序syslogd和内核日志监控程序klogd组成,两个监控程序都是守护程序(daemon),且都注册成了系统服务.syslogd专门记录非内核的其他设备所产生的日志,当系统的控制权由系统交给init的时候,日志信息的记录由syslogd负责记录.Klogd主要负责内核所产生的日志.内核日志记录信息由dmesg /var/log/dmesg查看. 常见			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47zeE63.html" rel="bookmark">windows 服务器系统日志分析及安全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.利用Windows自带的防火墙日志检测入侵 下面是一条防火墙日志记录 2005-01-1300:35:04OPENTCP61.145.129.13364.233.189.104495980 2005-01-1300:35:04:表示记录的日期时间 OPEN:表示打开连接:如果此处为Close表示关闭连接 TCP:表示使用的协议是Tcp 61.145.129.133:表示本地的IP 64.233.189.104:表示远程的IP 4959:表示本地的端口 80:表示远程的端口.注:如果此处的端口			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JllAb0.html" rel="bookmark">系统日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第十章   系统日志 系统默认设置分类 /var/log/messages   /*系统服务及日志,包括服务的信息,报错等等 /var/log/secure    /*系统认证信息日志 /var/log/maillog   /*系统邮件服务信息 /var/log/cron    /*系统定时任务信息 /var/log/boot.log   /*系统启动信息 日志管理服务 1.rsyslog负责采集日志和分类存放日志 2.rsyslog日志分类 vim /etc/rsyslog.conf    /			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r5GNb0.html" rel="bookmark" class="title">数学笔记6&mdash;&mdash;线性近似和二阶近似</a>
					<div>
						线性近似 假设一般函数上存在点(x0, f(x0)),当x接近基点x0时,可以使用函数在x0点的切线作为函数的近似线.函数f(x)≈f(x0)+f'(x0)(x- x0)即称为函数f在x0点的线性近似 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AdEZb3.html" rel="bookmark" class="title">南阳198</a>
					<div>
						1 #include&lt;stdio.h&gt; 2 char s[10]; 3 int lenth(char s[]) 4 { 5 int i=0; 6 while(s[i]) 7 ++i; 8  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgXRWr0.html" rel="bookmark" class="title">文字转换为语音VB&period;NEt实现</a>
					<div>
						Imports System.Speech.Synthesis Imports SpeechLib Public Class Form1     Public Sub New()         '  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bY9qeM.html" rel="bookmark" class="title">Java的那些事情</a>
					<div>
						学过C语言基础,那种按逻辑思路代码一路写下去.代码能重复使用的就是函数了.和面向对象的java相比,javaBean的可以重复使用比函数的重复使用更有优势. 学过Asp基础,代码都放在页面中了.页面之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDAr73.html" rel="bookmark" class="title">5-21文件的操作</a>
					<div>
						1.打开文件 文件的三种打开模式,如果open时不指定模式,则默认以读模式打开 w,写 但是不能读.注意用该方式打开文件后会先将文件中原来的内容清掉,再写入指定的内容.用该模式要慎重,因为一旦打开文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bOPdV3.html" rel="bookmark" class="title">分享两道笔试题目</a>
					<div>
						前几天,给成都的某家公司投了个简历,给发了两道笔试题目,与大家分享一下.附上自己的解题过程,写得不好的地方,还请博友多多指教. 一 .  设计程序输出销售及收费清单 一个电商平台对在其平台之上销售的除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rkrD94.html" rel="bookmark" class="title">awk命令详解和实例</a>
					<div>
						一.  AWK 说明 awk是一种编程语言,用于在linux/unix下对文本和数据进行处理.数据可以来自标准输入.一个或多个文件,或其它命令的输出.它支持用户自定义函数和动态正则表达式等先进功能,是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1GxZM.html" rel="bookmark" class="title">ObjectC----字典类和集合类以及快速枚举和OC中的数组排序</a>
					<div>
						// Create By 郭仔  2015年04月01日20:06:36 // 不可变字典 // 字典是适用于存放键值对的一种集合,里面的元素必须是对象类型 // 字典是无序的 // 字典赋值 NSD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RwgZ73.html" rel="bookmark" class="title">第四讲 python变量解析</a>
					<div>
						1,python 语言的变量和其他语言的变量概念有所不同 变量-------------&gt;到底什么在变??? &gt;&gt;&gt; x=12   x指向12所在的内存单元&gt;&gt;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YRnYw3.html" rel="bookmark" class="title">非易失内存技术NVDIMM</a>
					<div>
						从技术的角度来看,NAND Flash闪存介质虽然存在擦写次数寿命的问题,但是,配合软件算法.系统级的数据保护技术,NAND Flash的寿命问题变得不再是一个棘手的问题,而NAND Flash更多的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nPPeN4.html" rel="bookmark" class="title">Mathematica绘制曲面交线方法&lpar;方法二&rpar;</a>
					<div>
						MeshFunction方式 Show[Graphics3D[{Opacity[0.5], Ball[{0, 0, 0}, 2]}], ParametricPlot3D[{4 + (3 + Cos[v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49L2Pv3.html" rel="bookmark" class="title">能陀勐谖中i734k1gbt</a>
					<div>
						http://wx.233.com/share/2497809http://t.cn/RUtmAiM?2204http://d.1905.com/space/14096250http://t.cn/R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0koVLz0.html" rel="bookmark" class="title">Windows Server 2008的一些安全设置</a>
					<div>
						1.组策略设置自动锁屏 &quot;计算机策略&quot;--&quot;用户配置&quot;--&quot;管理模板&quot;--&quot;控制面板&quot;--&quot;个性化&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQ81mM.html" rel="bookmark" class="title">IO练习 两个文件夹进行copy（含子目录）</a>
					<div>
						1 //从键盘接收两个文件夹路径,把其中一个文件夹中(包含内容)拷贝到另一个文件夹中 2 @Test 3 public void t6(){ 4 //1) 接受两个文件夹路径 5 //1.创建一个 字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgEkXL3.html" rel="bookmark" class="title">PD 之 连接数据库并导出数据及生成PDM文件</a>
					<div>
						使用PowerDesigner工具,连接数据库并导出数据及生成PDM文件. 1.建立连接 &quot;以管理员身份运行&quot;打开PowerDesigner,右键&quot;Workspace&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWrLab4.html" rel="bookmark" class="title">如何在Maven官网下载历史版本</a>
					<div>
						如何在Maven官网下载历史版本 历史版本一般会隔一段时间,便找不到,官网会及时显示的是最新版本.不多说,直接进入. https://archive.apache.org/dist/maven/bin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLxRrEM.html" rel="bookmark" class="title">27 Remove Element 数组版</a>
					<div>
						用vector投机取巧了. 看网上大神的数组代码. 双指针的应用. class Solution { public: int removeElement(int A[], int n, int ele ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xXrgB0.html" rel="bookmark" class="title">PLSQL Developer常见问题</a>
					<div>
						PLSQL Developer常见问题解决办法 1.plsql查询字段数据比实际少一位, 查看在plsql中查看了该字段类型是nvarchar2,解决办法:工具-首选项-Oracle-连接,在oci8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02rP5R0.html" rel="bookmark" class="title">三问JavaBean</a>
					<div>
						以前认为javabenan 是一些java类.后来查看 了一些百科 .javabean是java组件技术,又是遵循一些约定.不是很理解. 什么是javabean? 在jsp程序中用来封装业务逻辑,数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dPEBz0.html" rel="bookmark" class="title">22、Java并发性和多线程-Java中的读&sol;写锁</a>
					<div>
						以下内容转自http://ifeve.com/read-write-locks/: 相比Java中的锁(Locks in Java)里Lock实现,读写锁更复杂一些.假设你的程序中涉及到对一些共享资源 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.021 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
